Get a route
curl --request GET \
--url https://api.maalbar.dk/v1/logistics/routes/{routePublicId} \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/logistics/routes/{routePublicId}';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"publicId": "transportRoute_xxxxxxxxxxxx",
"toTransportLocation": {
"publicId": "transportLocation_xxxxxxxxxxxx",
"type": "RetailStore",
"name": "<string>",
"own": true,
"geographical": {
"location": {
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"city": "<string>",
"zip": "<string>",
"weeksRotation": 123,
"totalCapacity": 123,
"shelfHeight": 123,
"stores": 123,
"timeperiod": "<string>",
"vatNumber": "<string>",
"tier": "Tier1"
},
"fromTransportLocation": {
"publicId": "transportLocation_xxxxxxxxxxxx",
"type": "RetailStore",
"name": "<string>",
"own": true,
"geographical": {
"location": {
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"city": "<string>",
"zip": "<string>",
"weeksRotation": 123,
"totalCapacity": 123,
"shelfHeight": 123,
"stores": 123,
"timeperiod": "<string>",
"vatNumber": "<string>",
"tier": "Tier1"
},
"transportRouteLegs": [
{
"publicId": "transportRouteLeg_xxxxxxxxxxxx",
"type": "ContainerFullLoad",
"method": {
"publicId": "transportMethod_xxxxxxxxxxxx",
"name": "<string>"
},
"distance": 123,
"isCargoLoadedOnPallets": true,
"emptyReturnFactor": 123,
"order": 123,
"note": "<string>"
}
]
}Routes
Get a route
GET
/
logistics
/
routes
/
{routePublicId}
Get a route
curl --request GET \
--url https://api.maalbar.dk/v1/logistics/routes/{routePublicId} \
--header 'X-Api-Key: <api-key>'const url = 'https://api.maalbar.dk/v1/logistics/routes/{routePublicId}';
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"publicId": "transportRoute_xxxxxxxxxxxx",
"toTransportLocation": {
"publicId": "transportLocation_xxxxxxxxxxxx",
"type": "RetailStore",
"name": "<string>",
"own": true,
"geographical": {
"location": {
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"city": "<string>",
"zip": "<string>",
"weeksRotation": 123,
"totalCapacity": 123,
"shelfHeight": 123,
"stores": 123,
"timeperiod": "<string>",
"vatNumber": "<string>",
"tier": "Tier1"
},
"fromTransportLocation": {
"publicId": "transportLocation_xxxxxxxxxxxx",
"type": "RetailStore",
"name": "<string>",
"own": true,
"geographical": {
"location": {
"publicId": "locationListItem_xxxxxxxxxxxx",
"name": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"city": "<string>",
"zip": "<string>",
"weeksRotation": 123,
"totalCapacity": 123,
"shelfHeight": 123,
"stores": 123,
"timeperiod": "<string>",
"vatNumber": "<string>",
"tier": "Tier1"
},
"transportRouteLegs": [
{
"publicId": "transportRouteLeg_xxxxxxxxxxxx",
"type": "ContainerFullLoad",
"method": {
"publicId": "transportMethod_xxxxxxxxxxxx",
"name": "<string>"
},
"distance": 123,
"isCargoLoadedOnPallets": true,
"emptyReturnFactor": 123,
"order": 123,
"note": "<string>"
}
]
}Authorizations
Path Parameters
Response
200 - application/json
Successful response